Skip to main content
GET
Get all contracts

Authorizations

X-API-KEY
string
header
required

Query Parameters

resourcesLocation
string

Location of the data assets resources (e.g. '{host}:{port}.{database}.{schema}' for database resources)

sourceType
enum<string>

Source type of the data assets (e.g. 'postgres', 'mysql', 'avro', 'protobuf', 'json_schema', etc.) The type of the source data asset, indicating its source or format (e.g., postgres, protobuf).

Available options:
postgres,
mysql,
mssql,
json_schema,
avro,
protobuf,
python,
pyspark,
typescript,
java,
s3,
dataframe,
kotlin,
swift,
php,
golang
limit
integer

The limit used for offset-based pagination

offset
integer

The offset used for offset-based pagination

status
string

The status of the contract

Response

All data contracts (filtered by query parameters if provided)

id
string<uuid>
required

Unique identifier for the contract in UUID format

status
enum<string>
required

status of the contract

Available options:
ACTIVE,
DEPRECATED,
DRAFT,
ARCHIVED
createdAt
string<date-time>
required

date time at which the contract was created

updatedAt
string<date-time>
required

date time at which the contract was last updated

contractSpec
object
required

contract spec

contractSpecRaw
string
required

contract spec raw json

violations
object[]
required

List of contract violations

parentRowId
string<uuid>

Unique identifier for a contract's parent row id in UUID format

version
string

Version of the contract (semantic versioning)

gitHash
string

full length git hash corresponding to the commit this contract was added/updated

Required string length: 40
gitRepo
string<uri>

full link to the git repo this contract lives in

gitUser
string

git user who added/updated this contract

fileUri
string<uri>

full link to the file in the repo that contains this contract

filePath
string

path to the contract file from the root of the git repository

reviewers
string[]

optional list of users who reviewed the merged PR that this contract added/updated in

mergedAt
string<date-time>

date time at which the PR that added/updated this contract was merged

enforcementLevel
enum<string>
default:INACTIVE

alert level for contract

Available options:
RECORD,
NOTIFY,
ALERT,
BLOCK,
INACTIVE
lastEditorUserId
string<uuid> | null

Unique identifier for the user who last edited the contract through the UI

lastEditorEmail
string | null

Email of the user who last edited the contract through the UI

lastEditorFirstName
string | null

First name of the user who last edited the contract through the UI

lastEditorLastName
string | null

Last name of the user who last edited the contract through the UI

lastEditorGithubHandle
string | null

GitHub handle of the user who last edited the contract through the UI

contractSpecFieldToViolationStatusMapping
object

Mapping of contract spec fields to a list of the violations currently applicable to them